Jump to Content
Gantry
API Reference
Log InGantry
API Reference
Log In
API Reference

Gantry API

  • Overview
  • Authentication
  • Error Handling

Gantry API

  • Datasets
    • List datasetsget
    • Create a new datasetpost
    • Gets the versions of a specific datasetget
    • Gets a specific datasetget
    • Uploads the given file to the datasetpost
    • Returns raw data associated with a given dataset idget
  • Prompts
    • Get all promptsget
    • Create a new promptpost
    • Get a specific prompt by idget
    • Get a specific prompt version by idget
    • Get a the data for a specific promptget
  • Evaluations
    • Get a list of evaluation runsget
    • Create a new evaluationpost
    • Gets a single evaluation runget
    • Gets a list of evaluation resultsget
    • Gets all LLM evaluation criterias for an org.post
  • Suggestions
    • Get suggested commit messageget
    • Get suggested evaluation criteriaget
Powered by 

Authentication

The Gantry API requires API keys for authentication. You can generate an API Key on the Settings page. See the documentation for more details.

Once you have an API key, you can authenticate your API request by adding the X-Gantry-Api-Key header like so:

curl https://app.gantry.io/api/v1/me \
    --header 'X-Gantry-Api-Key: <your-api-key>'